package com.njcn.energy.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.njcn.energy.mapper.EleEvtMapper;
import com.njcn.energy.pojo.po.EleEpdPqd;
import com.njcn.energy.pojo.po.EleEvt;
import com.njcn.energy.service.IEleEvtService;
import org.springframework.stereotype.Service;

/**
 * 类的介绍：
 *
 * @author xuyang
 * @version 1.0.0
 * @createTime 2022/3/15 15:12
 */
@Service
public class EleEvtServiceImpl extends ServiceImpl<EleEvtMapper, EleEvt> implements IEleEvtService {

    @Override
    public EleEvt addEvt(EleEvt eleEvt) {
        this.save(eleEvt);
        return eleEvt;
    }

    @Override
    public boolean updateEvt(EleEvt eleEvt) {
        return this.updateById(eleEvt);
    }

    @Override
    public EleEvt findByName(String name) {
        return this.lambdaQuery().eq(EleEvt::getName,name).one();
    }
}
